<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Baskets\Controllers\BasketCalculatorsController;
use App\Http\ApiV1\Modules\Baskets\Controllers\BasketItemsController;
use App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController;
use App\Http\ApiV1\Modules\Baskets\Controllers\BasketsCustomerController;
use App\Http\ApiV1\Modules\Common\Controllers\SettingsController;
use Illuminate\Support\Facades\Route;

Route::post('baskets/baskets/customer:set-item', [BasketsCustomerController::class, 'setItem']);
Route::post('baskets/baskets/customer:search-one', [BasketsCustomerController::class, 'searchOne']);
Route::delete('baskets/baskets/customer:delete', [BasketsCustomerController::class, 'delete']);
Route::post('baskets/baskets:search', [BasketsController::class, 'search']);
Route::post('baskets/basket-items:search', [BasketItemsController::class, 'search']);
Route::post('baskets/baskets/calculate:search-one', [BasketCalculatorsController::class, 'searchOne']);
Route::post('baskets/baskets/calculate:promo-code', [BasketCalculatorsController::class, 'promoCode']);
Route::get('common/settings', [SettingsController::class, 'search']);
Route::patch('common/settings', [SettingsController::class, 'patchSeveral']);
